The Fuze Suite is a completely Web-based application and is supported by the following browsers:

  • Microsoft Internet Explorer version 7.0 and higher
  • Firefox
  • Safari 

In addition to the entire Fuze Suite product being compatible with many Web browsers, the interface seen by your customers is not dependent upon Java or any plug-in technology, making it usable by almost any browser without the need for disruptive downloads and installs by your customer.

Administrative functionality to format knowledge items requires IE8 (and higher), Firefox or Chrome (running the latest versions). Both Windows and Macintosh platforms are supported.

Depending on the width of the left-side navigation for the web site the Fuze Suite is integrated into, the internal components of the Fuze Suite can also fit within a 1024x768 resolution.

For those using a Linux desktop environment, our eService suite is fully functional using Firefox, Chrome, or Safari.  Administratively, we recommend IE, Firefox and Chrome.